Metrics
/metrics/sync-by-status
Change Metrics by Status
Authorization
apiKey X-API-Key<token>
API key provided in dashboard
In: header
Query Parameters
dimension?string
Default
"month"Value in
"month" | "week" | "day" | "year"connectionId*string
Match
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Format
uuidview*string
Value in
"automate" | "extract"dateRange?string
Date range string. Accepted syntax: YYYY, YYYY-MM, YYYY-MM-DD, or range YYYY-MM-DD...YYYY-MM-DD. Single values expand to the full year, month, or day.
Format
vrp-date-rangeisDateRangeEndInclusive?boolean
Whether the end date in dateRange or paidAtRange is treated as inclusive (true) or exclusive (false).
Default
trueResponse Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://api.vrplatform.app/metrics/sync-by-status?connectionId=497f6eca-6276-4993-bfeb-53cbbbba6f08&view=automate"{
"data": [
{
"date": "string",
"total": 0,
"changes": {
"completed": {
"property1": 0,
"property2": 0
},
"skipped": {
"property1": 0,
"property2": 0
},
"failed": {
"property1": 0,
"property2": 0
},
"queued": {
"property1": 0,
"property2": 0
}
}
}
]
}{
"code": "string",
"message": "string",
"issues": [
{
"message": "string"
}
],
"context": null
}{
"code": "string",
"message": "string",
"issues": [
{
"message": "string"
}
],
"context": null
}{
"code": "string",
"message": "string",
"issues": [
{
"message": "string"
}
],
"context": null
}{
"code": "string",
"message": "string",
"issues": [
{
"message": "string"
}
],
"context": null
}{
"code": "string",
"message": "string",
"issues": [
{
"message": "string"
}
],
"context": null
}